## uim 1.5.7

=== qt4/toolbar/CMakeLists.txt ===
project(plasma-uim)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDES}
        ${CMAKE_SOURCE_DIR}/../.. ${CMAKE_SOURCE_DIR}/../../uim
        ${CMAKE_SOURCE_DIR}/../../replace ${CMAKE_SOURCE_DIR}/..)

set(uim_SRCS
        common-quimhelpertoolbar.cpp
        common-uimstateindicator.cpp
        applet-kde4.cpp)
 
kde4_add_plugin(plasma_applet_uim ${uim_SRCS})
target_link_libraries(plasma_applet_uim ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS}
        ${CMAKE_SOURCE_DIR}/../../uim/.libs/libuim.so
        ${CMAKE_SOURCE_DIR}/../../uim/.libs/libuim-scm.so
        -luim -luim-scm)
 
install(TARGETS plasma_applet_uim DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-uim.desktop DESTINATION ${SERVICES_INSTALL_DIR})

## uim 1.7.1

=== qt4/toolbar/CMakeLists.txt ===
project(plasma-uim)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DPLASMA_APPLET_UIM)
include_directories(${KDE4_INCLUDES}
        ${CMAKE_SOURCE_DIR}/../.. ${CMAKE_SOURCE_DIR}/../../uim
        ${CMAKE_SOURCE_DIR}/../../replace ${CMAKE_SOURCE_DIR}/..
        ${CMAKE_BINARY_DIR}/../../../uim)

set(uim_SRCS
        common-quimhelpertoolbar.cpp
        common-uimstateindicator.cpp
        applet-kde4.cpp)
 
kde4_add_plugin(plasma_applet_uim ${uim_SRCS})
target_link_libraries(plasma_applet_uim ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS}
        ${CMAKE_BINARY_DIR}/../../../uim/.libs/libuim.so
        ${CMAKE_BINARY_DIR}/../../../uim/.libs/libuim-scm.so
        -luim -luim-scm)
 
install(TARGETS plasma_applet_uim DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES ${CMAKE_BINARY_DIR}/../plasma-applet-uim.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
uim (1:1.7.1-3ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #818199).
  * Remaining changes:
    - debian/uim-qt.install: Fix plugin path for multiarch location.
  * Dropped changes:
    - uim-applet-gnome removal (GNOME 3 applet is available)
    - 19_as-needed_compile_fix.dpatch (accepted into Debian package)
  * translations.patch: add several files to POTFILE.in to prevent
    intltool-update failure.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 18 Dec 2011 16:35:38 +0400

uim (1:1.7.1-3) unstable; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * upload to unstable.
  * New maintainer (acknowledged from former maintainer).
    Thanks Kiwamu Okabe <kiwamu@debian.or.jp> for the great works.
  * the GNOME 3 transition (Closes: #638102).
    - debian/control
      + drop b-d libpanel-applet2-dev, libgnome2-dev and libgnomeui-dev
      + add b-d libpanel-applet-4-dev.
      + uim-applet-gnome depends uim-gtk3 instead of uim-gtk2.0.
    - debian/rules: add --disable-gnome-applet and --enable-gnome3-applet.
    - debian/uim-applet-gnome.install: updated.
  * fix ftbs with ld --as-needed (Closes: #639320)
    - debian/patches/fix_build_with_ld_as_needed.patch: added.
    - debian/patches/series: updated.
  * taken from 1:1.7.1-2ubuntu1~oneiric[23].
    Thanks Ikuya Awashiro <ikuya@fruitsbasket.info>.
    - debian/im-switch/uim-toolbar-qt
      + start uim-toolbar-qt4 instead of uim-toolbar-qt.
    - fix segfault uim-toolbar-qt4 with uim-mozc.
      + debian/patches/fix_segv_uim_toolbar_qt4_with_mozc.patch: added.
      + debian/patches/series: updated.

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Sat, 15 Oct 2011 17:31:16 +0900

uim (1:1.7.1-2) experimental; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * upload to experimental.
  * avoid to remove old libuim versions (Closes: #415394).
    - move from uim-common and libuim7 files to libuim-data,
      + debian/uim-common.install: usr/share/uim/*.scm
      + debian/libuim7.install: usr/lib/uim/plugin/libuim-*.so
      + debian/rules: etc/uim/*.scm
    - arrange dependencies about moving libuim-data files.
      + libuim-data: add Breaks/Replaces: libuim6 and uim-common.
      + libuim-data: add Recommends: wordlist, im-config | im-switch
      + libuim7: drop Conflicts: libuim6.
      + libuim7: drop Depends/Breaks/Replaces: libuim-data.
      + uim-common: drop Recommends: wordlist, im-config | im-switch.
      + uim-*: add Depends: libuim-data
  * debian/control
    - Remove Conflicts/Breaks/Replaces against no longer exist packages
      (libuim0, libuim1 and libuim3).
    - change Architecture of uim-{canna,prime} from any to all.
    - set Section: utils and Architecture: any of libuim-data.
  * debian/changelog
    - add missing NMU entry (1:1.5.7-9.1).
    - acknowledge NMU, thanks to gregor herrmann <gregoa@debian.org>.

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Thu, 25 Aug 2011 15:18:17 +0900

uim (1:1.7.1-1) unstable; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
    - debian/uim-byeoru.install: reflect byeoru dict format change.
  * debian/control
    - change uim-el section from utils to lisp (Closes: #634939).

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Tue, 09 Aug 2011 15:41:20 +0900

uim (1:1.7.0-3) unstable; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * debian/patches/
    - dropped merged/needless patches.
  * debian/control
    - add Replaces/Breaks: to uim-common and uim-gtk2.0.
      add Suggests: to uim-xim. patches made by
      YOSHINO Yoshihito <yy.y.ja.jp@gmail.com> (Closes: #633401).
  * rename plasma-widget-uim from uim-applet-kde (Closes: #583783).
    - debian/control: uim-applet-kde goes to dummy package.
    - debian/plasma-widget-uim.install: renamed from uim-applet-kde.install.
    - debian/rules: add plasma-widget-uim.

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Wed, 20 Jul 2011 12:50:03 +0900

uim (1:1.7.0-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * debian/control
    - Fix control within about 80 characters
    - Drop emacs22, emacs21 and emacs-snapshot from Depends of uim-el
    - Add uim-gtk3 to Depends of uim
    - Change architecture of libuim-data from any to all

  [ HIGUCHI Daisuke (VDR dai) ]
  * debian/uim-tcode.install
    - include "tcode.scm" and "trycode.scm" for code table file.
      (Closes: #631746)
  * debian/{uim-common,uim-utils}.postinst
    - remove no longer need postinst script
  * debian/libuim7.symbols.kfreebsd
    - add a separate symbols file on kFreeBSD for issetugid
  * debian/control
    - remove unnecessary lib*-dev buil-dependencies (Closes: #623669)
    - libuim-dev: fix Depends: add libgcroots-dev, remove libm17n-dev.
      (Closes: #423269)
    - uim-canna, uim-prime: do not depend ${shlibs:Depends}
  * enable GTK+3 immodule and helper applications
    - debian/control: uim-gtk3: new sub package.
    - debian/rules: add --with-gtk3 to confflags.
    - debian/uim-common.install: move /usr/share/uim/helperdata/
      uim-dict-ui.xml from debian/uim-gtk2.0.install.
    - debian/uim-gtk3.install: new file.
    - debian/uim-gtk3.lintian-overrides: new file.
    - debian/uim-gtk3.menu: new file.

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Thu, 30 Jun 2011 18:15:36 +0900

uim (1:1.7.0-1) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * New upstream release.
    - fixed FTBFS with binutils-gold (Closes: #556514)
    - fixed uim crashes when in .XCompose file symbol not in current locale
      (Closes: #599837)
  * Update debian/control.
    - Add Nobuhiro Iwamatsu to Uploaders.
    - Drop qt3 support (Closes: #604385)

  [ Kiwamu Okabe ]
  * add HIGUCHI Daisuke (VDR dai) <debian@vdr.jp> to Uploaders.
  * update standards-version=3.9.2
  * fix lintian bug description-synopsis-starts-with-article.

  [ HIGUCHI Daisuke (VDR dai) ]
  * debian/control
    - fix description. (Closes: #503858)
    - Update uim-qt*'s description, they include qt*-immodules.
      (Closes: #601866)


=== debian/control ===
Source: uim
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Kiwamu Okabe <kiwamu@debian.or.jp>
Build-Depends: debhelper (>> 7.0.50~), quilt,
 automake1.10, autoconf, autotools-dev, intltool, libtool,
 libgtk2.0-dev (>= 2.10.1), libpango1.0-dev, libfreetype6-dev, libatk1.0-dev,
 libxml-perl, libx11-dev, libxft-dev, libxext-dev, x11proto-core-dev,
 libcanna1g-dev, libanthy-dev, libncurses5-dev, libm17n-dev, m17n-db, prime,
 libqt4-dev, librsvg2-bin, libedit-dev, libgcroots-dev, kdelibs5-dev,
 libexpat1-dev, cmake, libgtk-3-dev, libpanel-applet-4-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/uim/
Vcs-Git: git://anonscm.debian.org/collab-maint/uim.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uim.git
DM-Upload-Allowed: yes

Package: uim-common
Section: utils
Architecture: all
Depends: ${misc:Depends}
Replaces: uim-gtk2.0 (<< 1:1.7.0-2)
Breaks: uim-gtk2.0 (<< 1:1.7.0-2)
Description: Universal Input Method - common files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains common files for the uim packages.

Package: uim
Section: utils
Architecture: all
Depends: ${misc:Depends}, uim-common (= ${source:Version}),
	uim-gtk2.0 (>= ${source:Version}), uim-qt (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version}),
	uim-xim (>= ${source:Version}), uim-utils (>= ${source:Version}),
	uim-fep (>= ${source:Version})
Description: Universal Input Method - metapackage
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package is a dummy convenience package designed to install the basic
 uim infrastructure.  It does not depend on any plugin packages, because
 uim is not limited to one input method. Packages are available for
 various input methods, including the following:
  * Japanese
   - uim-anthy: Anthy plugin for uim;
   - uim-canna: Canna plugin for uim;
   - uim-prime: PRIME plugin for uim;
   - uim-skk:   SKK plugin for uim.
  * Chinese
   - uim-pinyin: Pinyin input support for uim.
  * Korean
   - uim-byeoru: Byeoru input support for uim.
  * Multilingual input method
   - uim-m17n: M17n plugin for uim.

Package: libuim7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Description: Universal Input Method - libraries
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared libraries for uim.

Package: libuim-data
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Replaces: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2)
Breaks: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2)
Recommends: wordlist, im-config | im-switch
Description: Universal Input Method - data files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the data files for uim.

Package: libuim-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libuim7 (= ${binary:Version}),
	uim-common (>= ${source:Version}), libgcroots-dev
Description: Universal Input Method - development files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains header files and static libraries for uim development.

Package: libuim7-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libuim7 (= ${binary:Version}),
	uim-common (>= ${source:Version})
Description: Universal Input Method - debugging symbols
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace in a debugger, making it somewhat easier to interpret
 core dumps.

Package: uim-gtk2.0
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Replaces: uim-xim (<< 1:1.6.0-1)
Breaks: uim-xim (<< 1:1.6.0-1)
Description: Universal Input Method - GTK+2.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+2.0
 applications.

Package: uim-gtk3
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Description: Universal Input Method - GTK+3.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+3.0
 applications.

Package: uim-qt
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Description: Universal Input Method - Qt 4.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains some graphical utilities (but not a full IM-module)
 using Qt 4.x.

Package: uim-qt3
Section: x11
Architecture: all
Depends: ${misc:Depends}, uim-qt (>= ${source:Version}),
	uim-common (>= ${source:Version})
Description: transitional package for uim-qt
 This is a dummy package to aid in transitioning from uim-qt3 to uim-qt.
 This dummy package may be safely removed after upgrading to wheezy.

Package: uim-xim
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-utils (>= ${source:Version})
Suggests: uim-gtk2.0 (>= 1:1.6.0-1), uim-gtk3, uim-qt
Description: Universal Input Method - XIM compatibility interface
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package provides a bridge allowing software that can only interface
 with the X Input Method to work with uim.

Package: uim-applet-gnome
Section: gnome
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version})
Description: Universal Input Method - GNOME applet
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains a GNOME applet which can configure uim, monitor its
 conversion mode, and so on.

Package: plasma-widget-uim
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version}),
	uim-qt (>= ${source:Version})
Description: Universal Input Method - KDE Plasma widget
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains a KDE Plasma widget which can configure uim, monitor
 its conversion mode, and so on.

Package: uim-applet-kde
Section: kde
Architecture: all
Depends: ${misc:Depends}, plasma-widget-uim (>= ${source:Version}),
	uim-common (>= ${source:Version})
Description: transitional package for plasma-widget-uim
 This is a dummy package to aid in transitioning from uim-applet-kde to
 plasma-widget-uim.  This dummy package may be safely removed after upgrading
 to wheezy.

Package: uim-fep
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Description: Universal Input Method - front end processor
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains a curses Front End Processor to support the use of
 uim in a text terminal.

Package: uim-utils
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Breaks: uim-common (<< 1:1.4.1-1)
Replaces: uim-common (<< 1:1.4.1-1)
Description: Universal Input Method - utilities
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH	?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

confflags := \
	--with-libgcroots=installed \
	--disable-rpath \
	--enable-static \
	--enable-shared \
	$(NULL)

confflags += \
	--with-fep \
	--with-anthy \
	--with-anthy-utf8 \
	--with-canna \
	--with-m17nlib \
	--with-x \
	--with-gtk \
	--with-gtk3 \
	--with-qt4 \
	--with-qt4-immodule \
	--with-expat \
	--enable-dict \
	--disable-gnome-applet \
	--enable-gnome3-applet \
	--enable-kde4-applet \
	$(NULL)

ifneq (,$(filter $(DEB_HOST_ARCH), ia64 s390))
confflags += UIM_SCM_CFLAGS=-fno-strict-aliasing
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/tables/wb86.scm $(CURDIR)/tables/zm.scm
	rm -f $(CURDIR)/config.log $(CURDIR)/config.status

override_dh_auto_install:
	dh_auto_install -- GTK_IMMODULES=/dev/null

override_dh_install:
	install -D -o root -g root -m 644 \
		$(CURDIR)/debian/im-switch/uim \
		$(CURDIR)/debian/uim-xim/etc/X11/xinit/xinput.d/uim
	install -D -o root -g root -m 644 \
		$(CURDIR)/debian/im-switch/uim-toolbar \
		$(CURDIR)/debian/uim-xim/etc/X11/xinit/xinput.d/uim-toolbar
	install -D -o root -g root -m 644 \
		$(CURDIR)/debian/im-switch/uim-systray \
		$(CURDIR)/debian/uim-xim/etc/X11/xinit/xinput.d/uim-systray
	install -D -o root -g root -m 644 \
		$(CURDIR)/debian/im-switch/uim-toolbar-qt \
		$(CURDIR)/debian/uim-xim/etc/X11/xinit/xinput.d/uim-toolbar-qt
	install -d $(CURDIR)/debian/libuim-data/etc/uim
	LIBUIM_SYSTEM_SCM_FILES=$(CURDIR)/sigscheme/lib \
	LIBUIM_SCM_FILES=$(CURDIR)/scm \
	LIBUIM_PLUGIN_LIB_DIR=$(CURDIR)/uim/.libs \
		$(CURDIR)/uim/uim-module-manager --unregister-all \
				 --path $(CURDIR)/debian/libuim-data/etc/uim
	dh_install --sourcedir=debian/tmp

override_dh_link:
	dh_link -p libuim-data \
		etc/uim/installed-modules.scm \
		usr/share/uim/installed-modules.scm
	dh_link -p libuim-data \
		etc/uim/loader.scm \
		usr/share/uim/loader.scm
	for pkg in libuim7 libuim-data libuim7-dbg libuim-dev uim-utils \
		   uim-gtk2.0 uim-gtk3 uim-applet-gnome \
		   uim-qt uim-qt3 plasma-widget-uim uim-applet-kde \
		   uim-anthy uim-canna uim-prime uim-skk uim-m17nlib \
		   uim uim-byeoru uim-latin uim-pinyin \
		   uim-tcode uim-viqr uim-ipa-x-sampa uim-look \
		   uim-yahoo-jp uim-social-ime uim-ajax-ime ; do \
		rm -rf $(CURDIR)/debian/$$pkg/usr/share/doc/$$pkg; \
		dh_link -p$$pkg \
			usr/share/doc/uim-common \
			usr/share/doc/$$pkg; \
	done
	dh_link

override_dh_strip:
	dh_strip --dbg-package=libuim7-dbg

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=usr/lib/uim/plugin \
		--exclude=usr/lib/kde4 \
		--exclude=usr/lib/gtk-2.0 \
		--exclude=usr/lib/gtk-3.0 \
		$(NULL)

## uim 1.7.2

=== debian/changelog ===
uim (1:1.7.2-3) unstable; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * upload to unstable.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 19 Jan 2012 09:09:38 +0900

uim (1:1.7.2-2) experimental; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * upload to experimental.
  * uim-dbg: renamed from libuim7-dbg.
    - debian/control: just renamed package name.
      it replaces/breaks libuim6-dbg and libuim7-dbg.
    - debian/rules: just renamed package name.
  * debian/libuim7.symbols: use arch tag.
  * debian/libuim7.symbols.kfreebsd: removed.
  * libuim7 split out into libuim7, libuim-scm0 and libuim-custom2
    (Closes: #655700).
    - debian/control: add libuim-scm0 and libuim-custom2.
      they replaces/breaks libuim6 and libuim7 (<< 1:1.7.2-2).
    - debian/rules: add libuim-scm0 and libuim-custom2.
    - debian/libuim7.{install,symbols}: split out.
    - debian/libuim-scm0.{install,symbols}: new files.
    - debian/libuim-custom2.{install,symbols}: new files.
  * debian/libuim*.symbols: update for squeeze.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 14 Jan 2012 02:15:28 +0900

uim (1:1.7.2-1) unstable; urgency=low

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
  * debian/control
    - update my email address.
    - eliminate lintian warning: transitional-package-should-be-oldlibs-extra
      + uim-qt3, uim-applet-kde, uim-hangul.
  * debian/patches/
    - 06_fix_ftbfs_on_ia64.patch: removed, no need.
    - fix_segv_uim_toolbar_qt4_with_mozc.patch: removed, merged upstream.
    - fix_build_with_ld_as_needed.patch: removed, merged upstream.
    - series: updated.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 12 Jan 2012 10:07:59 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: uim
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>
+Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
  Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends: debhelper (>> 7.0.50~), quilt,
@@ -67,7 +66,9 @@
 Package: libuim7
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
-Description: Universal Input Method - libraries
+Replaces: libuim6
+Breaks: libuim6
+Description: Universal Input Method - uim library
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
  PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
@@ -75,6 +76,34 @@
  Scheme, so it's very simple and flexible.
  .
  This package contains the shared libraries for uim.
+
+Package: libuim-scm0
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
+Replaces: libuim6, libuim7 (<< 1:1.7.2-2)
+Breaks: libuim6, libuim7 (<< 1:1.7.2-2)
+Description: Universal Input Method - uim-scm API library
+ Uim is an input method module library which supports various scripts and can
+ act as a front end for a range of input methods, including Anthy, Canna,
+ PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
+ M17n (for many other languages). Most of its functions are implemented in
+ Scheme, so it's very simple and flexible.
+ .
+ This package contains the shared library for uim-scm API.
+
+Package: libuim-custom2
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
+Replaces: libuim6, libuim7 (<< 1:1.7.2-2)
+Breaks: libuim6, libuim7 (<< 1:1.7.2-2)
+Description: Universal Input Method - uim-custom API library
+ Uim is an input method module library which supports various scripts and can
+ act as a front end for a range of input methods, including Anthy, Canna,
+ PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
+ M17n (for many other languages). Most of its functions are implemented in
+ Scheme, so it's very simple and flexible.
+ .
+ This package contains the shared library for uim-custom API.
 
 Package: libuim-data
 Section: utils
@@ -106,12 +135,14 @@
  .
  This package contains header files and static libraries for uim development.
 
-Package: libuim7-dbg
+Package: uim-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, libuim7 (= ${binary:Version}),
 	uim-common (>= ${source:Version})
+Replaces: libuim6-dbg, libuim7-dbg
+Breaks: libuim6-dbg, libuim7-dbg
 Description: Universal Input Method - debugging symbols
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -119,7 +150,7 @@
  M17n (for many other languages). Most of its functions are implemented in
  Scheme, so it's very simple and flexible.
  .
- This package contains unstripped shared libraries. It is provided primarily
+ This package contains the debugging symbols. It is provided primarily
  to provide a backtrace in a debugger, making it somewhat easier to interpret
  core dumps.
 
@@ -171,7 +202,8 @@
  using Qt 4.x.
 
 Package: uim-qt3
-Section: x11
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, uim-qt (>= ${source:Version}),
 	uim-common (>= ${source:Version})
@@ -228,38 +260,9 @@
  its conversion mode, and so on.
 
 Package: uim-applet-kde
-Section: kde
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, plasma-widget-uim (>= ${source:Version}),
 	uim-common (>= ${source:Version})
 Description: transitional package for plasma-widget-uim
- This is a dummy package to aid in transitioning from uim-applet-kde to
- plasma-widget-uim.  This dummy package may be safely removed after upgrading
- to wheezy.
-
-Package: uim-fep
-Section: utils
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
-	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
-Description: Universal Input Method - front end processor
- Uim is an input method module library which supports various scripts and can
- act as a front end for a range of input methods, including Anthy, Canna,
- PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
- M17n (for many other languages). Most of its functions are implemented in
- Scheme, so it's very simple and flexible.
- .
- This package contains a curses Front End Processor to support the use of
- uim in a text terminal.
-
-Package: uim-utils
-Section: utils
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
-Breaks: uim-common (<< 1:1.4.1-1)
-Replaces: uim-common (<< 1:1.4.1-1)
-Description: Universal Input Method - utilities
- Uim is an input method module library which supports various scripts and can
- act as a front end for a range of input methods, including Anthy, Canna,
- PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and

=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,8 @@
 	dh_link -p libuim-data \
 		etc/uim/loader.scm \
 		usr/share/uim/loader.scm
-	for pkg in libuim7 libuim-data libuim7-dbg libuim-dev uim-utils \
+	for pkg in libuim7 libuim-scm0 libuim-custom2 \
+		   libuim-data libuim-dev uim-dbg uim-utils \
 		   uim-gtk2.0 uim-gtk3 uim-applet-gnome \
 		   uim-qt uim-qt3 plasma-widget-uim uim-applet-kde \
 		   uim-anthy uim-canna uim-prime uim-skk uim-m17nlib \
@@ -92,7 +93,7 @@
 	dh_link
 
 override_dh_strip:
-	dh_strip --dbg-package=libuim7-dbg
+	dh_strip --dbg-package=uim-dbg
 
 override_dh_makeshlibs:
 	dh_makeshlibs \

## uim 1.8.1

=== debian/changelog ===
uim (1:1.8.1-4) unstable; urgency=medium

  * Urgency set medium to fix RC bug.
  * touch /var/lib/uim/installed-modules.scm and /var/lib/uim/loader.scm
    before mv_conffile works in debian/libuim-data.postinst.
    because mv_conffile works only when destination file aleady exists.
    it appears upgrading from squeeze. (Closes: #688233) again.
    reported by Andreas Beckmann <debian@abeckmann.de>.  Thank you.
  * debian/control: libuim-data
    - replace Breaks: uim-chewing (<= 0.1.0-2) by uim-chewing (<< 0.1.0-3~).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 18 Oct 2012 16:06:04 +0900

uim (1:1.8.1-3) unstable; urgency=medium

  * Urgency set medium to fix RC bug.
  * move installed-modules.scm and loader.scm from /etc/uim to /var/lib/uim
    (Closes: #688233).
    - debian/*.{postinst,prerm}: change path from /etc/uim to /var/lib/uim.
    - debian/rules: do not generate installed-modules.scm and loader.scm.
    - debian/libuim-data.maintscript: add mv_conffile installed-modules.scm
      and loader.scm from /etc/uim to /var/lib/uim.
      Suggested by Andreas Beckmann <debian@abeckmann.de>.  Thank you.
    - debian/libuim-data.postinst: generate installed-modules.scm and
      loader.scm if they do not exists in /var/lib/uim.
    - debian/libuim-data.postrm: remove /etc/uim and /var/lib/uim contents.
  * debian/control: libuim-data
    - add Pre-Depends: dpkg (>= 1.15.7.2) to use dpkg-maintsctipt-helper.
    - add Breaks: uim-MODULE (<< 1:1.8.1-3~).
    - add Breaks: uim-mozc (<< 1.5.1090.102-4~), uim-chewing (<= 0.1.0-2)
  * unset Multi-Arch: same of uim-dbg, because of plasma-widget-uim (kde4).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 14 Oct 2012 18:07:35 +0900

uim (1:1.8.1-2) unstable; urgency=low

  * enable Multiarch.
    - this is partial, because of plasma-widget-uim (kde4).
    - debian/compat: set to 9.
    - debian/libuim-custom2.install
      debian/libuim-data.install
      debian/libuim-dev.install
      debian/libuim-scm0.install
      debian/libuim8.install
      debian/uim-anthy.install
      debian/uim-applet-gnome.install
      debian/uim-gtk2.0.install
      debian/uim-gtk3.install
      debian/uim-m17nlib.install
      debian/uim-qt.install
      debian/uim-skk.install
      debian/uim-utils.install
      debian/rules: add triplet.
    - debian/control
      + mark libuim8, libuim-scm0, libuim-custom2, libuim-dev and uim0-dbg as
        Multi-Arch: same.
      + mark uim-common as Multi-Arch: foreign.
  * enable more hardening.
    - debian/patches/add_cppflags_qt4_common.patch: added.
    - debian/patches/add_include_qt4_edittest.patch: added.
  * debian/changelog: remove redundant name tags.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 03 Jun 2012 00:20:45 +0900

uim (1:1.8.1-1) unstable; urgency=low

  * New upstream release.
    - debian/uim-tcode.install: update for new file tutcode-rule-custom.scm.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 30 May 2012 12:44:59 +0900

uim (1:1.8.0-2) unstable; urgency=low

  * upload to unstable.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 17 May 2012 20:12:04 +0900

uim (1:1.7.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS against multiarch Qt 4.8 (Closes: #662796)
    - Thanks to Felix Geyer for the fix

 -- Scott Kitterman <scott@kitterman.com>  Tue, 15 May 2012 01:28:54 -0400

uim (1:1.8.0-1) experimental; urgency=low

  * New upstream release.
    - replace rsvg with rsvg-convert (Closes: #666484)
  * fix FTBFS against multiarch Qt 4.8 (Closes: #662796)
    thanks to Felix Geyer <debfx-pkg@fobos.de>.
  * including upstream changelogs.
    - debian/uim-common.docs: added ChangeLog.old*
    - debian/rules: add override_dh_installchangelogs.
  * debian/rules: add uim-hangul to override_dh_link.
  * upload to experimental.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 31 Mar 2012 12:36:46 +0900

uim (1:1.8.0~beta-1) UNRELEASED; urgency=low

  * New upstream beta release.
  * Update libuim version (7.1.0 -> 8.0.0)
    - debian/libuim8.install: renamed from libuim7.install.
    - debian/libuim8.symbols: updated and renamed from libuim7.symbols.
    - debian/control: renamed from libuim7 to libuim8.
    - debian/rules: renamed from libuim7 to libuim8.
  * debian/patches/potfiles_intltool_0.50.x.patch: removed, fixed upstream.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 25 Mar 2012 18:09:05 +0900

uim (1:1.8.0~alpha-1) UNRELEASED; urgency=low

  * New upstream alpha release.
  * debian/copyright: added scm/packrat.scm scm/json.scm.
  * debian/libuim7.symbols: updated.
  * debian/libuim-data.install: added new scm files.
  * debian/uim-gtk2.0.install: added uim-candwin-horizontal-gtk.
  * debian/uim-gtk3.install: added uim-candwin-horizontal-gtk3.
  * debian/uim-m17nlib.install: added new scm file.
  * debian/uim-qt.install: removed uim-chardict-qt4.mo.
  * debian/patches/potfiles_intltool_0.50.x.patch: updated.
  * Add uim-google-cgiapi-jp and uim-baidu-olime-jp package.
    - debian/control: add uim-google-cgiapi-jp and uim-baidu-olime-jp.
    - debian/rules: add uim-google-cgiapi-jp and uim-baidu-olime-jp.
    - debian/uim-google-cgiapi-jp.{install,postinst,prerm}: added.
    - debian/uim-baidu-olime-jp.{install,postinst,prerm}: added.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 20 Mar 2012 14:25:36 +0900

uim (1:1.7.3-2) unstable; urgency=low

  * debian/patches/potfiles_intltool_0.50.x.patch: added.
    - add missing POTFILES entries for intltool 0.50.x (Closes: #662795).
  * debian/copyright: switched to DEP-5 format.
  * Standards-Version 3.9.3.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 10 Mar 2012 16:30:07 +0900

uim (1:1.7.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/fix_ftbfs_on_hurd-i386.patch: removed.
  * debian/rules: enable hardening build flags using dpkg-buildflags.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 14 Feb 2012 17:09:20 +0900



=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
  Kiwamu Okabe <kiwamu@debian.or.jp>
-Build-Depends: debhelper (>> 7.0.50~), quilt,
+Build-Depends: debhelper (>= 9), quilt,
  automake1.10, autoconf, autotools-dev, intltool, libtool,
  libgtk2.0-dev (>= 2.10.1), libpango1.0-dev, libfreetype6-dev, libatk1.0-dev,
  libxml-perl, libx11-dev, libxft-dev, libxext-dev, x11proto-core-dev,
  libcanna1g-dev, libanthy-dev, libncurses5-dev, libm17n-dev, m17n-db, prime,
- libqt4-dev, librsvg2-bin, libedit-dev, libgcroots-dev, kdelibs5-dev,
- libexpat1-dev, cmake, libgtk-3-dev, libpanel-applet-4-dev
-Standards-Version: 3.9.2
+ libqt4-dev (>= 4:4.8.0), librsvg2-bin, libedit-dev, libgcroots-dev,
+ kdelibs5-dev, libexpat1-dev, cmake, libgtk-3-dev, libpanel-applet-4-dev
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/uim/
 Vcs-Git: git://anonscm.debian.org/collab-maint/uim.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uim.git
@@ -21,8 +21,9 @@
 Section: utils
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: uim-gtk2.0 (<< 1:1.7.0-2)
-Breaks: uim-gtk2.0 (<< 1:1.7.0-2)
+Replaces: uim-gtk2.0 (<< 1:1.7.0-2), uim-hangul (<< 1:1.7.0-1)
+Breaks: uim-gtk2.0 (<< 1:1.7.0-2), uim-hangul (<< 1:1.7.0-1)
+Multi-Arch: foreign
 Description: Universal Input Method - common files
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -63,11 +64,13 @@
   * Multilingual input method
    - uim-m17n: M17n plugin for uim.
 
-Package: libuim7
+Package: libuim8
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
 Replaces: libuim6
 Breaks: libuim6
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Universal Input Method - uim library
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -82,6 +85,8 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
 Replaces: libuim6, libuim7 (<< 1:1.7.2-2)
 Breaks: libuim6, libuim7 (<< 1:1.7.2-2)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Universal Input Method - uim-scm API library
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -96,6 +101,8 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
 Replaces: libuim6, libuim7 (<< 1:1.7.2-2)
 Breaks: libuim6, libuim7 (<< 1:1.7.2-2)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Universal Input Method - uim-custom API library
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -108,9 +115,21 @@
 Package: libuim-data
 Section: utils
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
 Replaces: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2)
-Breaks: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2)
+Breaks: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2),
+	uim-ajax-ime (<< 1:1.8.1-3~), uim-anthy (<< 1:1.8.1-3~),
+	uim-baidu-olime-jp (<< 1:1.8.1-3~), uim-byeoru (<< 1:1.8.1-3~),
+	uim-canna (<< 1:1.8.1-3~), uim-google-cgiapi-jp (<< 1:1.8.1-3~),
+	uim-ipa-x-sampa (<< 1:1.8.1-3~), uim-latin (<< 1:1.8.1-3~),
+	uim-look (<< 1:1.8.1-3~), uim-m17nlib (<< 1:1.8.1-3~),
+	uim-pinyin (<< 1:1.8.1-3~), uim-prime (<< 1:1.8.1-3~),
+	uim-skk (<< 1:1.8.1-3~), uim-social-ime (<< 1:1.8.1-3~),
+	uim-tcode (<< 1:1.8.1-3~), uim-viqr (<< 1:1.8.1-3~),
+	uim-yahoo-jp (<< 1:1.8.1-3~),
+	uim-mozc (<< 1.5.1090.102-4~),
+	uim-chewing (<< 0.1.0-3~)
 Recommends: wordlist, im-config | im-switch
 Description: Universal Input Method - data files
  Uim is an input method module library which supports various scripts and can
@@ -124,8 +143,9 @@
 Package: libuim-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libuim7 (= ${binary:Version}),
+Depends: ${misc:Depends}, libuim8 (= ${binary:Version}),
 	uim-common (>= ${source:Version}), libgcroots-dev
+Multi-Arch: same
 Description: Universal Input Method - development files
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -139,7 +159,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libuim7 (= ${binary:Version}),
+Depends: ${misc:Depends}, libuim8 (= ${binary:Version}),
 	uim-common (>= ${source:Version})
 Replaces: libuim6-dbg, libuim7-dbg
 Breaks: libuim6-dbg, libuim7-dbg
@@ -161,6 +181,7 @@
 	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
 Replaces: uim-xim (<< 1:1.6.0-1)
 Breaks: uim-xim (<< 1:1.6.0-1)
+Suggests: uim-dict-gtk
 Description: Universal Input Method - GTK+2.x front end
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -176,6 +197,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
 	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
+Suggests: uim-dict-gtk3
 Description: Universal Input Method - GTK+3.x front end
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -246,23 +268,3 @@
 Package: plasma-widget-uim
 Section: kde
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
-	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version}),
-	uim-qt (>= ${source:Version})
-Description: Universal Input Method - KDE Plasma widget
- Uim is an input method module library which supports various scripts and can
- act as a front end for a range of input methods, including Anthy, Canna,
- PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
- M17n (for many other languages). Most of its functions are implemented in
- Scheme, so it's very simple and flexible.
- .
- This package contains a KDE Plasma widget which can configure uim, monitor
- its conversion mode, and so on.
-
-Package: uim-applet-kde
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, plasma-widget-uim (>= ${source:Version}),
-	uim-common (>= ${source:Version})
-Description: transitional package for plasma-widget-uim

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_ARCH	?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 confflags := \
+	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/uim \
 	--with-libgcroots=installed \
 	--disable-rpath \
 	--enable-static \
@@ -31,6 +34,8 @@
 	--enable-kde4-applet \
 	$(NULL)
 
+confflags += $(shell dpkg-buildflags --export=configure)
+
 ifneq (,$(filter $(DEB_HOST_ARCH), ia64 s390))
 confflags += UIM_SCM_CFLAGS=-fno-strict-aliasing
 endif
@@ -39,12 +44,20 @@
 	dh $@
 
 override_dh_auto_configure:
+	for i in emacs/uim-version.el uim.desktop uim.spec; do \
+		[ ! -e $(CURDIR)/$$i.dh-orig ] || continue; \
+		cp -f $(CURDIR)/$$i $(CURDIR)/$$i.dh-orig; \
+	done
 	dh_auto_configure -- $(confflags)
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f $(CURDIR)/tables/wb86.scm $(CURDIR)/tables/zm.scm
 	rm -f $(CURDIR)/config.log $(CURDIR)/config.status
+	for i in emacs/uim-version.el uim.desktop uim.spec; do \
+		[ -e $(CURDIR)/$$i.dh-orig ] || continue; \
+		mv -f $(CURDIR)/$$i.dh-orig $(CURDIR)/$$i; \
+	done
 
 override_dh_auto_install:
 	dh_auto_install -- GTK_IMMODULES=/dev/null
@@ -62,29 +75,27 @@
 	install -D -o root -g root -m 644 \
 		$(CURDIR)/debian/im-switch/uim-toolbar-qt \
 		$(CURDIR)/debian/uim-xim/etc/X11/xinit/xinput.d/uim-toolbar-qt
-	install -d $(CURDIR)/debian/libuim-data/etc/uim
-	LIBUIM_SYSTEM_SCM_FILES=$(CURDIR)/sigscheme/lib \
-	LIBUIM_SCM_FILES=$(CURDIR)/scm \
-	LIBUIM_PLUGIN_LIB_DIR=$(CURDIR)/uim/.libs \
-		$(CURDIR)/uim/uim-module-manager --unregister-all \
-				 --path $(CURDIR)/debian/libuim-data/etc/uim
+	install -d $(CURDIR)/debian/libuim-data/var/lib/uim
 	dh_install --sourcedir=debian/tmp
 
 override_dh_link:
 	dh_link -p libuim-data \
-		etc/uim/installed-modules.scm \
+		var/lib/uim/installed-modules.scm \
 		usr/share/uim/installed-modules.scm
 	dh_link -p libuim-data \
-		etc/uim/loader.scm \
+		var/lib/uim/loader.scm \
 		usr/share/uim/loader.scm
-	for pkg in libuim7 libuim-scm0 libuim-custom2 \
+	for pkg in libuim8 libuim-scm0 libuim-custom2 \
 		   libuim-data libuim-dev uim-dbg uim-utils \
 		   uim-gtk2.0 uim-gtk3 uim-applet-gnome \
+		   uim-dict-gtk uim-dict-gtk3 \
 		   uim-qt uim-qt3 plasma-widget-uim uim-applet-kde \
 		   uim-anthy uim-canna uim-prime uim-skk uim-m17nlib \
-		   uim uim-byeoru uim-latin uim-pinyin \
+		   uim uim-byeoru uim-hangul uim-latin uim-pinyin \
 		   uim-tcode uim-viqr uim-ipa-x-sampa uim-look \
-		   uim-yahoo-jp uim-social-ime uim-ajax-ime ; do \
+		   uim-yahoo-jp uim-social-ime uim-ajax-ime \
+		   uim-google-cgiapi-jp uim-baidu-olime-jp \
+		; do \
 		rm -rf $(CURDIR)/debian/$$pkg/usr/share/doc/$$pkg; \
 		dh_link -p$$pkg \
 			usr/share/doc/uim-common \
@@ -97,8 +108,11 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs \
-		--exclude=usr/lib/uim/plugin \
+		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/uim/plugin \
 		--exclude=usr/lib/kde4 \
-		--exclude=usr/lib/gtk-2.0 \
-		--exclude=usr/lib/gtk-3.0 \
+		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0 \
+		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0 \
 		$(NULL)
+
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
